Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Java] Class SessionFactoryHolder

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.SessionFactoryHolder

    public class SessionFactoryHolder
    extends java.lang.Object

Holds a reference to the SessionFactory, used to allow proxying of the session factory in development mode.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `BEAN_ID`

Method Summary
`org.hibernate.SessionFactory` | `getSessionFactory()`
`void` | `setSessionFactory(org.hibernate.SessionFactory sessionFactory)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### BEAN_ID

    public static final java.lang.String BEAN_ID

Method Detail

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(org.hibernate.SessionFactory sessionFactory)

Groovy Documentation